import { HttpClient, HttpHeaders } from "@angular/common/http";
import { ApiVisa } from "../../../shared";
export declare class BotHandoverService {
    private http;
    constructor(http: HttpClient);
    agentHandover(data: any, apiVisa: ApiVisa, apiUrl: any): import("rxjs").Observable<Object>;
    getHttpHeader(apiVisa: ApiVisa): {
        headers: HttpHeaders;
    };
}
